# Description

Installs and configures [Statsd](http://github.com/etsy/statsd)

# Platforms

* Centos 7

# Attributes

Attribute | Type | Default | Description
--------- | ---- | --------| -----------
`node['statsd']['port']` | Integer | `8125` | Port for Statsd to listen for stats on
`node['statsd']['graphite_host']` | String | `'localhost'` | Host to forward processed statistics to
`node['statsd']['graphite_port']` | Integer | `2003` | Port to forward processed statistics to
`node['statsd']['graphite_options']` | Hash | `{}` | Additional [graphite namespacing options](https://github.com/etsy/statsd/blob/master/docs/namespacing.md)
`node['statsd']['package_version']` | String | `'0.6.0'` | Version to use when creating the package
`node['statsd']['tmp_dir']` | String | `'/tmp'` | Temporary directory to use while building the package
`node['statsd']['repo']` | String | `'https://github.com/etsy/statsd.git'` | git repository to use
`node'['statsd']['path']` || `'/usr/share/statsd'`|
`node['statsd']['flush_interval_msecs']`||`10_000`|Flush interval in msecs (default: `10000`).
`node['statsd']['delete_idle_stats']` ||`false`|Do we automatically delete idle stats?
`node['statsd']['graphite_enabled']` || `true`|Is the graphite backend enabled?
`node['statsd']['user']`||`'statsd'`|
`node['statsd']['console_enabled']`||true|Enable console output

# Usage

Include the statsd recipe which will checkout Statsd from git, build a package from it, and then install the package. Statsd is run under a "statsd" system user.

By default statsd will attempt to send statistics to a graphite instance running on localhost, which can be configured using the Graphite cookbook at http://community.opscode.com/cookbooks/graphite.
