require 'json'

include_recipe 'statsd::install'

directory '/usr/share/statsd'

# if %w(debian rhel).include?(node['platform_family'])
#   include_recipe "statsd::#{node['platform_family']}"
# end
directory "/usr/share/statsd/scripts" do
  recursive true
end

graphite_options_json = nil

if node['statsd']['graphite_options'] != {}
  graphite_options_json = node['statsd']['graphite_options'].to_json
end

backends = []

if node['statsd']['graphite_enabled']
  backends << './backends/graphite'
end

if node['statsd']['console_enabled']
  backends << './backends/console'
end

template "#{node['statsd']['path']}/config.js" do
  source 'config.js.erb'
  # owner node['statsd']['user']
  # group node['statsd']['group']
  mode 0644

  config_hash = {
    flushInterval: node['statsd']['flush_interval_msecs'],
    port: node['statsd']['port'],
    deleteIdleStats: node['statsd']['delete_idle_stats'],
    backends: backends
  }

  if node['statsd']['graphite_enabled']
    #config_hash['graphite'] = { 'legacyNamespace' => node['statsd']['legacyNamespace'] }
    config_hash['graphitePort'] = node['statsd']['graphite_port']
    config_hash['graphiteHost'] = node['statsd']['graphite_host']
  end

  variables config_hash: config_hash
  notifies :restart, 'service[statsd]', :delayed

end

include_recipe 'statsd::service'
